/* Overrides CSS default settings */
*{
    margin: 0;
    /* box-sizing: include the padding and border in an element's total width and height */
    box-sizing: border-box;
}

/* Centering the page */
#page-wrapper{
    width: 80vw;
    /* margin (spacing around elements outside of border): top and bottom = 0 px, right and left = auto */
    margin: 0 auto;
}

/* Header starts: CSS recognizes the header section */
header{
    /* display (orientation of an element): flex (allows arrangement of items inside the container flexibly and responsively; i.e. when reducing screen size) */
    display: flex;
    /* flex-direction (direction of flex items): column (aligns the items vertically) */
    flex-direction: column;
    padding: 1vh 1vw;
    background-color: #809D3C;
    color: whitesmoke;
}
/* Header ends */

/* Font for Body */
body{
    font-family: Arial, "Helvetica Neue", Helvetica, sans-serif;
}

/* Two column container start: Navigation Bar and Main */
#container{
    width: 100%;
    display: flex;
    flex-direction: row;
    position: relative;
    background-color: #A9C46C;
}

/* Styling Navigation Bar: 30% of the page's width */
nav{
    width: 30%;
}

nav ul{
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    background-color: antiquewhite;
    font-size: calc(2px + 2vw);
    text-align: center;
    list-style: none;
    padding-left: 0;
}

nav li{
    font-size: calc(2px + 2vw);
    width: 90%;
    background-color: antiquewhite;
    padding: 2vh 0;
    margin: 5vh auto;
}

nav a{
    text-decoration: none;
}

/* Styling Main: 70% of the page's width */
main{
    display: flex;
    flex-direction: column;
    width: 70%;
    background-color: #A9C46C;
}

main p{
    margin: 0 1vw;
    font-size: calc(2px + 1.5vw);
}

.profile-image{
    max-width: 100%;
    margin: 1.5vh auto;
}

#main{
    width: 100%;
    display: flex;
    flex-direction: row;
    padding: 2vh 2vw;
}

#main-text{
    align-self: center;
    width: 60%;
    margin: 1vh 1vw;
}

#main-image{
    width: 40%;
    margin: 1vh 1vw;
}

#main-title{
    margin: 2vw 0;
    text-align: center;
    font-size: calc(2px + 2vw);
    color: whitesmoke;
}
/* Two column container ends */

footer {
    background-color: #809D3C;
    color: whitesmoke;
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
}

/* Check: Consider removing this
#time-date{
    width: 25%;
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    align-items: baseline;
}
*/


footer a{
    color: bisque;
}

/* Adjusting for smaller screen size */
@media screen and (max-width: 1000px){
    main{
        display: flex;
        flex-direction: column;
        width: 100%;
        height: 100%;
        background-color: #A9C46C;
    }
}

@media screen and (max-width: 750px){
    header{
        align-items: center;
    }

    #container{
        width: 100%;
        /* Check: height: 100% would prevent text from going out-of-page (i.e. height: 100vh)
        *  Can you do this for height property in main? --> What is the difference between using 100vh and 100%?
        */
        height: 100%;
        flex-direction: column;
    }

    nav{
        width: 100%;
    }

    /* Changing orientation of Navigation Bar for smaller displays */
    nav ul{
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        background-color: antiquewhite;
        list-style: none;
        padding-left: 0;
    }

    nav li{
        font-size: calc(2px + 1.5vw);
        background-color: antiquewhite;
        padding: 1% .5%;
        margin: 1% .5%;
    }

    nav a{
        text-decoration: none;
    }

    main{
        display: flex;
        flex-direction: column;
        width: 100%;
        height: 100%;
        background-color: #A9C46C;
    }


    main p{
        margin: 2% 2%;
        font-size: calc(2px + 3vw);
    }

    .profile-image{
        max-width: 100%;
        margin: 2vh auto;
    }

    #main{
        width: 100%;
        display: flex;
        flex-direction: column;
        justify-content: center;
    }

    #main-image{
        margin: 1vh auto;
    }

    #main-text{
        align-self: center;
        width: 100%;
        margin: 1vh 1vw;
    }

    #main-title{
        text-align: center;
        color: whitesmoke;
    }
}